<div class="view intro-2 rgba-gradient">
    <div class="container-fluid full-bg-img">
        <div class="row">
            <div class="col-md-4 col-sm-12 col-xs-12"></div>
            <div class="col-md-4 col-sm-12 col-xs-12">
                <form class="form-container">
                    <h1>Login</h1>
                    <!--Valdation for email-->
                    <small *ngIf="email.touched && !email.valid">
                      <small *ngIf="email.errors.required">Email is required.</small>
                      <small *ngIf="email.errors.pattern">Please enter a valid Email adress.</small>
                    </small>
                    <!--form group of email-->
                    <div class="form-group">
                      <label for="exampleInputEmail1">Email address*</label>
                      <input required [(ngModel)]="user.email" name="email" #email="ngModel" maxlength="25" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter email">
                      <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
                    </div>

                    <!--Valdation for password-->
                    <small *ngIf="password.touched && !password.valid">
                      <small *ngIf="password.errors.required">Password is required.</small>
                      <small *ngIf="password.errors.pattern && !password.errors.minlength">Number, upper- and lowercase letter are required.</small>
                      <small *ngIf="password.errors.minlength">Password should have minimum {{password.errors.minlength.requiredLength}} characters.</small>
                    </small>
                    <!--form group of password-->
                    <div class="form-group">
                      <label for="exampleInputPassword1">Password*</label>
                      <input required [(ngModel)]="user.password" name="password" #password="ngModel" minlength="8" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{1,}" type="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                    </div>

                    <div class="form-check">
                      <input type="checkbox" class="form-check-input" id="exampleCheck1">
                      <label class="form-check-label" for="exampleCheck1">Remember me</label>
                    </div>

                    <!--Valdation login-->
                    <small *ngIf="loginfailed">
                      <small>Login failed. Please try again.</small>
                    </small>
                    <button type="submit" class="btn btn-primary btn-block" 
                    (click)=login() [disabled]= "email.invalid || password.invalid">
                      Submit
                    </button>
                    <div>
                        <hr class="register-line">
                        <div class="form-group">
                          <p class="text-center">Don't have an account? <a href="#" routerLink="/register">Sign up here</a></p>
                        </div>
                      </div>
                </form>
            </div>
            <div class="col-md-4 col-sm-4 col-xs-12"></div>
        </div>
    </div>
</div>